body{background-image:url("https://dss0.zbstatic5.com/assets/interactive/2026/city-insights/imgs/bg.svg");background-repeat:repeat-x;background-size:auto 100%;background-position:center 0;background-attachment:fixed;background-color:#d4ebe6;}
body:after{width:100%;height:100%;z-index:-1;content:'';position:fixed;top:40vh;left:0;background-image:url("https://dss0.zbstatic5.com/assets/interactive/2026/city-insights/imgs/singapore-cityscape.svg?1a");background-repeat:no-repeat;background-size:100% auto;background-position:center top;background-color:transparent;}
.theme-header{margin:0 auto;color:#000;}
#theme-logo{width:30%;margin:0 auto 1em auto;color:var(--theme-ui-colors-secondary);display:block;}
h1.headline{margin:0.4em auto;}
h1.headline em{font-weight:900;}
h1.headline span{font-size:0.8em;color:#000;}
h1.headline .lang-en{line-height:1;}

.btn-text{background:var(--theme-ui-colors-main)!important;color:#fff!important;line-height:1;display:table;margin:0.4em auto;align-items:center;justify-content:center;padding:0.8em 1em;text-align:center;white-space:nowrap;}

.toggle-group{display:flex;margin:0 1em -1em auto;justify-content:end;align-items:center;font-family:Roboto,Noto Sans;}
.toggle-wrapper.toggle-bilingual{margin:0 0.4em;line-height:1.2;position:relative;display:flex;border-radius:50px;cursor:pointer;user-select:none;background-color:rgba(255,255,255,1);border:1px solid rgba(0,0,0,.4);color:#666;justify-content:center;align-items:center;}
.toggle-wrapper input{display:none;opacity:0;width:0;height:0;}
.toggle-wrapper input:checked ~ .switch-slider{transform:translateX(100%);}

.switch-label{font-size:0.9em;padding:0.5em 1em;text-wrap:nowrap;position:relative;flex:1;display:flex;align-items:center;justify-content:center;z-index:2;transition:color 0.3s;}

.switch{width:80px;height:32px;position:relative;display:inline-block;margin:0 0.4em 0 0;}
.switch .slider{position:absolute;cursor:pointer;top:0;left:0;right:0;bottom:0;background-color:rgba(255,255,255,0.4);transition:.4s cubic-bezier(0.4, 0, 0.2, 1);border-radius:50px;display:flex;align-items:center;justify-content:space-around;box-shadow:inset 0 2px 4px rgba(0,0,0,0.1);}
.switch .slider-text-zh,.switch .slider-text-en{width:36px;font-size:0.85em;display:flex;text-align:center;z-index:1;transition:color 0.3s, opacity 0.3s;pointer-events:none;z-index:10000;align-items:center;justify-content:center;position:relative;z-index:10000000;}
.switch-slider{position:absolute;width:calc(50% - 2px);height:calc(100% - 4px);top:2px;left:2px;border-radius:50px;transition:transform 0.3s cubic-bezier(0.4, 0, 0.2, 1);z-index:1;background:rgba(234,241,253,1);}
.toggle-wrapper input:checked ~ .switch-slider{transform:translateX(100%);}
.toggle-wrapper .slider-text:before{position:absolute;content:"";height:28px;width:36px;left:2px;transition:.4s cubic-bezier(0.4, 0, 0.2, 1);border-radius:50px;z-index:2;}
.toggle-wrapper .slider-text-zh,.show-english .toggle-wrapper .slider-text-en{color:#fff;opacity:1;font-weight:bold;}
.toggle-wrapper input:checked + .slider-text.slider-text-zh,.toggle-wrapper input:checked + .slider-text.slider-text-en{color:#fff;opacity:1;}
.toggle-wrapper .slider-text-en,.show-english .toggle-wrapper input:checked + .slider-text.slider-text-zh{color:#000;opacity:0.8;font-weight:normal;}
.toggle-wrapper input:checked + .slider-text:before{transform:translateX(40px);}
.toggle-bilingual .switch-slider{background-color:#e90044;}

[lang="en"]{display:none;}
[lang="zh"]{display:block;}
body.show-english{transition:all .5s;}
body.show-english [lang="en"]{display:block;}
body.show-english [lang="zh"]{display:none;}

@keyframes spin2D{
from{transform:rotate(0deg);}
to{transform:rotate(360deg);}
}

.group-inline{display:flex;gap:1em;margin:0 0 1em 0;padding:0.4em 0.4em 0 0.4em;}
.enclosed{padding-bottom:1em;font-family:Noto Serif SC;font-weight:500;}
.tab-wrapper{width:100%;padding:2em 2em 2em 0;margin:1em auto;backdrop-filter:blur(0.6em);background:rgba(255,255,255,0.4);border-radius:0.8em;}
.container-row{display:flex;gap:1em;}
.tab-wrapper .tab-nav-container{width:30%;}
.tab-wrapper .tab-nav-container h3{font-size:1.2em;text-align:center;width:90%;font-weight:700;margin-bottom:0.8em;}
.tab-wrapper .tab-nav{padding:0;display:grid;grid-template-columns:repeat(2,1fr)!important;align-items:start;}
.tab-wrapper .tab-link{margin-bottom:0.6em;flex:1;transition:all 0.3s ease;outline:none;background:none;border:none;position:relative;}
.tab-link:hover .profile-img img{transform:scale(1.2);filter:brightness(1.1);}
.tab-link .profile-name{margin-bottom:0.2em;font-weight:700;}
.tab-link.active .profile-name{font-weight:700;}
.tab-link.active .profile-card:before,.tab-link:hover .profile-card:before{opacity:1;}
.tab-link.active .profile-card,.tab-link:hover .profile-card{color:#000;}
.tab-link.nav-main{width:90%;border-radius:0.4em;padding:0.4em 0.4em 0.5em 0.4em;line-height:1.4;font-weight:700;border-style:solid;border-width:3px;border-color:#f3838c #f3838c #42a3c0 #42a3c0;}
.tab-link.active.nav-main{background:#f3838c;color:#fff;border-color:transparent;}

.tab-wrapper .tab-link:before{padding:0 0 0.15em 0;content:'+';position:absolute;top:62%;right:42%;border:1px solid #ccc;background:#fff;aspect-ratio:1/1;width:26px;height:26px;display:flex;align-items:center;justify-content:center;z-index:1;border-radius:50px;}
.tab-link.active:before,.tab-link.nav-main:before{display:none;}

.tab-content-container{padding:0 2em;width:70%;line-height:1.5;}
.tab-panel{display:none;animation:fadeIn 0.4s ease-in-out;font-family:Roboto,Noto Sans;font-weight:400;}
.tab-panel small{font-size:0.8em;}
.tab-panel .display-full{display:flex;gap:2em;}
.tab-panel.active{display:block;}
.tab-panel.active.profile-panel{display:flex;}
.tab-panel h4{font-weight:700;line-height:1.4;}
.tab-panel h4 span{display:block;font-weight:400;font-size:0.75em;}
.tab-panel a{color:#003866;font-weight:700;}
.profile-panel{padding:1.6em 2.4em;background:rgba(255,255,255,0.5);border:1px solid #fff;border-radius:1em;}
.profile-header{width:30%;padding-right:1.2em;margin-bottom:0.6em;font-weight:700;}
.profile-header span{color:#41a4c0;display:block;margin-bottom:0.2em;}
.profile-header .profile-name{font-weight:300;margin:1em 0 0.4em 0;font-family:Noto Serif SC;}
.profile-header .profile-name .lang-zh{font-size:1.8em;font-weight:700;}
.profile-header .profile-name .lang-en{font-size:1.4em;font-weight:700;}
.profile-header .profile-designation{font-weight:400;font-size:0.9em;}
.profile-info{width:70%;}
.profile-info a{color:#f2828b;}
.profile-title{line-height:1.2;}

.profile-img{width:100%;margin-bottom:0.4em;border-radius:0.6em;overflow:hidden;position:relative;aspect-ratio:1/1;}
.profile-img img{width:100%;height:auto;transition:all 0.3s ease;}
.profile-card{padding-top:1.2em;text-align:center;color:#666;position:relative;}
.profile-card:before{width:100%;position:absolute;top:0;left:0;content:'';background-image:url("https://dss0.zbstatic5.com/assets/interactive/2026/city-insights/imgs/curvy-brackets.svg");background-repeat:no-repeat;background-size:100% auto;background-position:center 0;aspect-ratio:9/1;opacity:0.5;}
.profile-designation{font-size:0.8em;line-height:1.2;font-family:Roboto,Noto Sans;}

.event-content{font-family:Roboto,Noto Sans;line-height:1.3;font-weight:400;}
.date,.address{font-size:0.9em;}
.address{margin-top:0.4em;}

@keyframes fadeIn{
from{opacity:0;transform:translateY(10px);}
to{opacity:1;transform:translateY(0);}
}

#Intro{font-size:1.2em;}

.schedule{padding:0 4em 2em 4em;margin:0 auto;width:100%;text-align:left;overflow-y:auto;}
.schedule h3{margin:0 auto 1em auto;}
.schedule em{font-weight:700;}
.schedule .scrollbar{max-height:440px;padding-right:1em;}
.schedule .display-panel{padding:0.8em 0;align-items:start!important;border-bottom:2px solid #ff818c;}
.panel-schedule,.panel-details{vertical-align:top;text-align:left;}
.panel-schedule .display-panel{padding-right:1.6em;white-space:nowrap;font-weight:bold;line-height:1.2;text-align:left;}

.panel-content::-webkit-scrollbar{width:6px;background-color:#F5F5F5;}
.panel-content::-webkit-scrollbar-track{-webkit-box-shadow:inset 0 0 6px rgba(0, 0, 0, 0.1);background-color:#F5F5F5;border-radius:10px;}
.panel-content::-webkit-scrollbar-thumb{border-radius:10px;-webkit-box-shadow:inset 0 0 6px rgba(0, 0, 0, 0.1);background:#ff818c;}
.panel-details{vertical-align:top;text-align:left;line-height:1.4;}
.panel-details li{margin-bottom:0.4em;}
.panel-details .set{margin-bottom:0.6em;}
.schedule .panel-details span{color:#41a4c0;font-weight:700;margin-right:0.4em;margin-top:0.4em;display:block;}
.schedule .panel-details span:first-child{margin-top:0;}
.schedule .panel-details em{}
.schedule .panel-details{text-align:left;border-left:1px dotted #e90044;padding:0 0 0 1em}
.schedule .event .display-panel{padding:0;margin-bottom:0.2em;border:none;text-align:left;}
.schedule .event .event-label{color:var(--theme-ui-colors-main);font-weight:bold;white-space:nowrap;}

@media (min-width:769px){
.container-row{flex-direction:row;}
.profile-card .profile-designation{display:block;}
.lang-zh .tab-link .profile-name{font-size:1.2em;}
}

@media screen and (max-width:768px){
body:after{top:40%;}
.group-inline{margin-bottom:0;padding:0.4em;}
.toggle-group{margin:0 0 -1em 0;}
.toggle-wrapper.toggle-bilingual{margin:0 auto;}
.container-row{flex-direction:column-reverse;gap:0.4em;position:relative;}
.theme-header{margin:2em auto 1em auto;}
#theme-logo{width:50%;margin:0 auto;}
h1.headline span{font-size:0.9em;}
h1.headline .lang-en span{font-size:0.7em;line-height:1.3;display:inline-block;}
#Intro{font-size:1em;padding:0 1em;}
.date{font-size:0.9em;}
.tab-content-container,.tab-wrapper .tab-nav-container{width:100%;padding:0;}
.tab-wrapper .tab-nav-container{flex-direction:column-reverse;display:flex;top:3.4em;margin-bottom:2em;position:sticky;backdrop-filter:blur(0.1em);background:rgba(254,242,232,0.8);padding:0.6em 0.4em;border-radius:0.4em;}
.tab-wrapper{margin-top:6em;padding:0.6em;}
.profile-panel{padding:1em;}
.profile-card{padding:0.8em 0 0 0;}
.profile-card .profile-designation{display:none;}
.profile-name{font-size:1em;text-align:center;margin-bottom:0;}
.profile-name .lang-en{font-size:0.8em;}
.profile-header{padding:0;text-align:center;}
.profile-header em{font-size:1em;}
.profile-info{font-size:0.9em;}
.tab-panel.active.profile-panel,.tab-panel .display-full{display:block;}
.tab-link.nav-main,.profile-img,.profile-card:before,.tab-wrapper .tab-nav-container h3,.profile-header,.profile-info{width:100%;}
.lang-en .tab-link.nav-main{font-size:0.8em;}
.tab-wrapper .tab-link:before{width:20px;height:20px;top:-0.4em;right:-0.2em;}
.tab-wrapper .tab-nav{grid-template-columns:repeat(4,1fr)!important;}
.tab-wrapper .tab-nav .lang-en .profile-name{font-size:0.9em;}
.tab-wrapper .tab-nav-container h3{font-size:1em;}
.schedule{padding:1em;font-size:0.9em;}
.schedule .display-panel{display:flex;}
}
